Mac OS X Multiple Vulnerabilities (Security Update 2012-001)

This script is Copyright (C) 2012-2013 Tenable Network Security, Inc.


Synopsis :

The remote host is missing a Mac OS X update that fixes several
security issues.

Description :

The remote host is running a version of Mac OS X 10.6 that does not
have Security Update 2012-001 applied. This update contains numerous
security-related fixes for the following components :

- Apache
- ATS
- ColorSync
- CoreAudio
- CoreMedia
- CoreText
- curl
- Data Security
- dovecot
- filecmds
- libresolv
- libsecurity
- OpenGL
- PHP
- QuickTime
- SquirrelMail
- Subversion
- Tomcat
- X11

See also :

http://www.zerodayinitiative.com/advisories/ZDI-12-058/
http://www.zerodayinitiative.com/advisories/ZDI-12-103/
http://www.zerodayinitiative.com/advisories/ZDI-12-130/
http://archives.neohapsis.com/archives/fulldisclosure/2012-08/0059.html
http://support.apple.com/kb/HT5130
http://lists.apple.com/archives/security-announce/2012/Feb/msg00001.html
http://lists.apple.com/archives/security-announce/2012/Feb/msg00002.html

Solution :

Install Security Update 2012-001 or later.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.3
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true